<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.model.mapper.AppletServiceMapper">
    
    <resultMap type="AppletService" id="AppletServiceResult">
        <result property="id"    column="id"    />
        <result property="title"    column="title"    />
        <result property="video"    column="video"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <sql id="selectAppletServiceVo">
        select id, title, video, del_flag, create_by, create_time, update_by, update_time from applet_service
    </sql>

    <select id="selectAppletServiceList" parameterType="AppletService" resultMap="AppletServiceResult">
        <include refid="selectAppletServiceVo"/>
        <where>  
            <if test="title != null  and title != ''"> and title = #{title}</if>
            <if test="video != null  and video != ''"> and video = #{video}</if>
        </where>
    </select>
    
    <select id="selectAppletServiceById" parameterType="AppletService" resultMap="AppletServiceResult">
        <include refid="selectAppletServiceVo"/>
        where id = #{id}
    </select>

    <insert id="insertAppletService" parameterType="AppletService" useGeneratedKeys="true" keyProperty="id">
        insert into applet_service
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="title != null and title != ''">title,</if>
            <if test="video != null">video,</if>
            <if test="delFlag != null">del_flag,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="title != null and title != ''">#{title},</if>
            <if test="video != null">#{video},</if>
            <if test="delFlag != null">#{delFlag},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
         </trim>
    </insert>

    <update id="updateAppletService" parameterType="AppletService">
        update applet_service
        <trim prefix="SET" suffixOverrides=",">
            <if test="title != null and title != ''">title = #{title},</if>
            <if test="video != null">video = #{video},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteAppletServiceById" parameterType="Long">
        delete from applet_service where id = #{id}
    </delete>

    <delete id="deleteAppletServiceByIds" parameterType="String">
        delete from applet_service where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>